package com.frist008.nixlibrary.cursor.sticky;

import android.database.Cursor;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.ViewGroup;

import com.frist008.nixlibrary.NixHolder;

import se.emilsjolander.stickylistheaders.StickyListHeadersAdapter;

@SuppressWarnings("unused")
interface HeaderAdapter extends StickyListHeadersAdapter {

	@NonNull
	NixHolder newHeaderView(@NonNull LayoutInflater inflater,
	                        ViewGroup parent,
	                        int position,
	                        int viewType);

	void bindHeaderView(@NonNull NixHolder holder, Cursor cursor);

	@Nullable
	Cursor getCursor();

	/**
	 * Get Id Header
	 *
	 * @param cursor this cursor is current position row
	 * @return unique id header (see {@link #getHeaderId(int)})
	 */
	int getHeaderViewType(Cursor cursor, int position);
}
