package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

@SuppressWarnings("unused")
public class NixBooleanTrue extends NixNotNullBoolean {

	public NixBooleanTrue(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, true);
	}

	public NixBooleanTrue(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      boolean index) {
		super(bean, columnName, true, index);
	}

	@SuppressWarnings("ConstantConditions")
	@NonNull
	@Override
	public Boolean get() {
		return super.get();
	}

	@Override
	protected boolean isNotNull() {
		return true;
	}

	@Override
	public boolean isNullableValue() {
		return false;
	}

	@Override
	public void setNullableValue(boolean nullableValue) {
		super.setNullableValue(false);
	}
}
