package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

public class NixFloatZero extends NixNotNullFloat {

	public NixFloatZero(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, 0.0f);
	}

	public NixFloatZero(@NonNull NixTableOrViewBean bean,
	                    @NonNull String columnName,
	                    boolean unique) {
		super(bean, columnName, 0.0f, unique);
	}

	public NixFloatZero(@NonNull NixTableOrViewBean bean,
	                    @NonNull String columnName,
	                    boolean unique,
	                    boolean index) {
		super(bean, columnName, 0.0f, unique, index);
	}
}
