package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

public class NixIntZero extends NixNotNullInt {

	public NixIntZero(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, 0);
	}

	public NixIntZero(@NonNull NixTableOrViewBean bean,
	                  @NonNull String columnName,
	                  boolean unique) {
		super(bean, columnName, 0, unique);
	}

	public NixIntZero(@NonNull NixTableOrViewBean bean,
	                  @NonNull String columnName,
	                  boolean unique,
	                  boolean index) {
		super(bean, columnName, 0, unique, index);
	}
}
