package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

@SuppressWarnings("unused")
public class NixNotNullInt extends NixInt {

	public NixNotNullInt(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, null);
	}

	public NixNotNullInt(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     boolean unique) {
		super(bean, columnName, null, unique);
	}

	public NixNotNullInt(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     boolean unique,
	                     boolean index) {
		super(bean, columnName, null, unique, index);
	}

	public NixNotNullInt(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     @NonNull Integer defValue) {
		super(bean, columnName, defValue);
	}

	public NixNotNullInt(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     @NonNull Integer defValue,
	                     boolean unique) {
		super(bean, columnName, defValue, unique);
	}

	public NixNotNullInt(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     @NonNull Integer defValue,
	                     boolean unique,
	                     boolean index) {
		super(bean, columnName, defValue, unique, index);
	}

	@SuppressWarnings("ConstantConditions")
	@NonNull
	@Override
	public Integer get() {
		return super.get();
	}

	@Override
	protected boolean isNotNull() {
		return true;
	}

	@Override
	public boolean isNullableValue() {
		return false;
	}

	@Override
	public void setNullableValue(boolean nullableValue) {
		super.setNullableValue(false);
	}
}
