package com.frist008.nixlibrary;

import com.frist008.nixlibrary.array.NixArrayAdapter;
import com.frist008.nixlibrary.array.NixMultiArrayAdapter;
import com.frist008.nixlibrary.recycler.list.NixMultiRecyclerAdapter;
import com.frist008.nixlibrary.recycler.list.NixRecyclerAdapter;

@SuppressWarnings("unused")
public abstract class NixArrayBean {

	private final int viewType;

	/**
	 * for {@link NixArrayAdapter} or {@link NixRecyclerAdapter}
	 */
	public NixArrayBean() {
		this(0);
	}

	/**
	 * for {@link NixMultiArrayAdapter} or {@link NixMultiRecyclerAdapter}
	 */
	public NixArrayBean(int viewType) {
		this.viewType = viewType;
	}

	public int getViewType() {
		return viewType;
	}
}
