package com.frist008.nixlibrary;

import android.support.annotation.LayoutRes;
import android.util.SparseArray;

@SuppressWarnings("unused")
public class NixMultiCreatorHolder {

	private final SparseArray<NixCreatorHolder> creatorHolderSparseArray = new SparseArray<>();

	public SparseArray<NixCreatorHolder> getCreatorHolderSparseArray() {
		return creatorHolderSparseArray;
	}

	public void put(int viewType,
	                Class<? extends NixHolder> nixViewHolderClass,
	                @LayoutRes int layoutRes) {
		creatorHolderSparseArray.put(viewType, new NixCreatorHolder(nixViewHolderClass, layoutRes));
	}

	public void put(int viewType, NixCreatorHolder nixViewHolder) {
		creatorHolderSparseArray.put(viewType, nixViewHolder);
	}
}
