package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

public class NixDoubleZero extends NixNotNullDouble {

	public NixDoubleZero(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, 0.0d);
	}

	public NixDoubleZero(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     boolean unique) {
		super(bean, columnName, 0.0d, unique);
	}

	public NixDoubleZero(@NonNull NixTableOrViewBean bean,
	                     @NonNull String columnName,
	                     boolean unique,
	                     boolean index) {
		super(bean, columnName, 0.0d, unique, index);
	}
}
