package com.frist008.nixlibrary.database;

import android.content.ContentValues;

public class NixId extends NixNotNullInt {
	private static final String INTEGER_PRIMARY_KEY = INTEGER + "PRIMARY KEY AUTOINCREMENT ";

	NixId(NixTableOrViewBean bean) {
		super(bean, NixWhere.NixCols.COLUMN_ID);
	}

	@Override
	public String getType() {
		return INTEGER_PRIMARY_KEY;
	}

	@Override
	void fillContentValue(ContentValues contentValues) {
		if (hasValue()) {
			contentValues.put(toString(), get());
		}
	}
}
