package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

public class NixLongZero extends NixNotNullLong {

	public NixLongZero(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, 0L);
	}

	public NixLongZero(@NonNull NixTableOrViewBean bean,
	                   @NonNull String columnName,
	                   boolean unique) {
		super(bean, columnName, 0L, unique);
	}

	public NixLongZero(@NonNull NixTableOrViewBean bean,
	                   @NonNull String columnName,
	                   boolean unique,
	                   boolean index) {
		super(bean, columnName, 0L, unique, index);
	}
}
