package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;

@SuppressWarnings("unused")
public class NixNotNullDouble extends NixDouble {

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, null);
	}

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean,
	                        @NonNull String columnName,
	                        boolean unique) {
		super(bean, columnName, null, unique);
	}

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean,
	                        @NonNull String columnName,
	                        boolean unique,
	                        boolean index) {
		super(bean, columnName, null, unique, index);
	}

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean,
	                        @NonNull String columnName,
	                        @NonNull Double defValue) {
		super(bean, columnName, defValue);
	}

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean,
	                        @NonNull String columnName,
	                        @NonNull Double defValue,
	                        boolean unique) {
		super(bean, columnName, defValue, unique);
	}

	public NixNotNullDouble(@NonNull NixTableOrViewBean bean,
	                        @NonNull String columnName,
	                        @NonNull Double defValue,
	                        boolean unique,
	                        boolean index) {
		super(bean, columnName, defValue, unique, index);
	}

	@SuppressWarnings("ConstantConditions")
	@NonNull
	@Override
	public Double get() {
		return super.get();
	}

	@Override
	protected boolean isNotNull() {
		return true;
	}

	@Override
	public boolean isNullableValue() {
		return false;
	}

	@Override
	public void setNullableValue(boolean nullableValue) {
		super.setNullableValue(false);
	}
}
