package com.frist008.nixlibrary.database;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

@SuppressWarnings("unused")
public class NixNotNullLong extends NixLong {

	public NixNotNullLong(@NonNull NixTableOrViewBean bean, @NonNull String columnName) {
		super(bean, columnName, null);
	}

	public NixNotNullLong(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      boolean unique) {
		super(bean, columnName, null, unique);
	}

	public NixNotNullLong(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      boolean unique,
	                      boolean index) {
		super(bean, columnName, null, unique, index);
	}

	public NixNotNullLong(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      @Nullable Long defValue) {
		super(bean, columnName, defValue);
	}

	public NixNotNullLong(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      @Nullable Long defValue,
	                      boolean unique) {
		super(bean, columnName, defValue, unique);
	}

	public NixNotNullLong(@NonNull NixTableOrViewBean bean,
	                      @NonNull String columnName,
	                      @Nullable Long defValue,
	                      boolean unique,
	                      boolean index) {
		super(bean, columnName, defValue, unique, index);
	}

	@SuppressWarnings("ConstantConditions")
	@NonNull
	@Override
	public Long get() {
		return super.get();
	}

	@Override
	protected boolean isNotNull() {
		return true;
	}

	@Override
	public boolean isNullableValue() {
		return false;
	}

	@Override
	public void setNullableValue(boolean nullableValue) {
		super.setNullableValue(false);
	}
}
